Discover published markets
curl --request GET \
--url https://{host}/v1/marketsimport requests
url = "https://{host}/v1/markets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{host}/v1/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/markets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/markets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/v1/markets")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/markets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"version": 2,
"state": "open",
"discoverability": "listed",
"creatorPrincipalId": "<string>",
"subject": {
"schema": "restaurant-table.v1",
"data": {
"partySize": 2,
"startsAt": "2026-09-19T19:00:00Z"
}
},
"mechanism": {
"presetId": "direct-claim.v1",
"config": {
"capacity": 2,
"pricing": {
"mode": "free"
},
"confirmation": "none",
"holdDurationSeconds": -1,
"maxPerPrincipal": 2,
"claimsCloseAt": "2023-11-07T05:31:56Z"
}
},
"mechanismState": {},
"funding": {
"mode": "none",
"acceptedRailIds": [
"<string>"
],
"settlementGraceSeconds": 1
},
"publicationVerified": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"fulfillment": {
"requestSchema": "<string>",
"acceptedDeliveryTransports": [
"<string>"
],
"outputMediaTypes": [
"<string>"
],
"providerEndpoint": {
"transport": "<string>",
"uri": "<string>"
},
"slaSeconds": 2
},
"paymentCredentialInstructions": [
{
"railId": "<string>",
"credentialType": "<string>",
"credentialTarget": "<string>"
}
]
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}Markets
Discover published markets
Returns public projections of published markets. Drafts are never included. Results are ordered by updatedAt and market ID, both descending. No authentication is required.
GET
/
v1
/
markets
Discover published markets
curl --request GET \
--url https://{host}/v1/marketsimport requests
url = "https://{host}/v1/markets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{host}/v1/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/markets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/markets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/v1/markets")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/markets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"version": 2,
"state": "open",
"discoverability": "listed",
"creatorPrincipalId": "<string>",
"subject": {
"schema": "restaurant-table.v1",
"data": {
"partySize": 2,
"startsAt": "2026-09-19T19:00:00Z"
}
},
"mechanism": {
"presetId": "direct-claim.v1",
"config": {
"capacity": 2,
"pricing": {
"mode": "free"
},
"confirmation": "none",
"holdDurationSeconds": -1,
"maxPerPrincipal": 2,
"claimsCloseAt": "2023-11-07T05:31:56Z"
}
},
"mechanismState": {},
"funding": {
"mode": "none",
"acceptedRailIds": [
"<string>"
],
"settlementGraceSeconds": 1
},
"publicationVerified": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"fulfillment": {
"requestSchema": "<string>",
"acceptedDeliveryTransports": [
"<string>"
],
"outputMediaTypes": [
"<string>"
],
"providerEndpoint": {
"transport": "<string>",
"uri": "<string>"
},
"slaSeconds": 2
},
"paymentCredentialInstructions": [
{
"railId": "<string>",
"credentialType": "<string>",
"credentialTarget": "<string>"
}
]
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>"
}
}Query Parameters
Opaque cursor returned as nextCursor by the previous page.
Minimum string length:
1Maximum number of markets to return. Defaults to 50.
Required range:
1 <= x <= 100